Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.javassist
Class JavassistClassTransformer

    java.lang.Object
      org.hibernate.bytecode.AbstractClassTransformerImpl
          org.hibernate.bytecode.javassist.JavassistClassTransformer

All Implemented Interfaces:
  ClassTransformer

    public class JavassistClassTransformer

extends AbstractClassTransformerImpl

Enhance the classes allowing them to implements InterceptFieldEnabled This interface is then used by Hibernate for some optimizations.

Author:
  Emmanuel Bernard, Steve Ebersole

Field Summary

Fields inherited from class org.hibernate.bytecode.AbstractClassTransformerImpl
`classFilter, fieldFilter`

Constructor Summary
`JavassistClassTransformer(ClassFilter classFilter, FieldFilter fieldFilter)`

Method Summary
`protected byte[]` | `doTransform(ClassLoader loader, String className, Class classBeingRedefined, ProtectionDomain protectionDomain, byte[] classfileBuffer)`
`protected FieldTransformer` | `getFieldTransformer(javassist.bytecode.ClassFile classfile)`

Methods inherited from class org.hibernate.bytecode.AbstractClassTransformerImpl
`transform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavassistClassTransformer

    public JavassistClassTransformer(ClassFilter classFilter,
                                     FieldFilter fieldFilter)

Method Detail

### doTransform

    protected byte[] doTransform(ClassLoader loader,
                                 String className,
                                 Class classBeingRedefined,
                                 ProtectionDomain protectionDomain,
                                 byte[] classfileBuffer)

  Specified by:
    `doTransform` in class `AbstractClassTransformerImpl`

### getFieldTransformer

    protected FieldTransformer getFieldTransformer(javassist.bytecode.ClassFile classfile)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD